Source: https://dinakar-rewind.docs.pageloop.ai/api-reference/collecting/getcollectingmediacrossreference

# Owned vs watched cross-reference

GET `https://api.rewind.rest/v1/collecting/media/cross-reference`

Cross-references physical media collection with watch history showing watched/unwatched status.

## Authorization

#### Authorization (header, string, required)

API key. Read keys (rw\_live\_...) access GET endpoints. Admin keys (rw\_admin\_...) access all endpoints.

## Query Parameters

#### page (query, integer)

#### limit (query, integer)

#### filter (query, string)

## Response

#### 200

Cross-reference data with summary stats

#### data (array of object, required)

#### properties

#### collection (object, required)

#### watching (object, required)

#### summary (object, required)

#### properties

#### total\_owned (number, required)

#### total\_watched (number, required)

#### total\_unwatched (number, required)

#### watch\_rate (number, required)

#### pagination (object, required)

#### properties

#### page (integer, required)

#### limit (integer, required)

#### total (integer, required)

#### total\_pages (integer, required)

#### 401

Unauthorized

#### error (string, required)

#### status (integer, required)

#### 500

Internal server error

#### error (string, required)

#### status (integer, required)

#### Request

```bash cURL
curl -X GET 'https://api.rewind.rest/v1/collecting/media/cross-reference' \
  -H 'Authorization: Bearer <token>'
```

```javascript JavaScript
const res = await fetch('https://api.rewind.rest/v1/collecting/media/cross-reference', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <token>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://api.rewind.rest/v1/collecting/media/cross-reference',
    headers={'Authorization': 'Bearer <token>'}
)
data = res.json()
```

#### Response

```json 200
{
  "data": [
    {
      "collection": {
        "id": "\u2026",
        "title": "\u2026",
        "year": "\u2026",
        "tmdb_id": "\u2026",
        "image": "\u2026",
        "media_type": "\u2026",
        "resolution": "\u2026",
        "collected_at": "\u2026"
      },
      "watching": {
        "watched": "\u2026",
        "watch_count": "\u2026",
        "last_watched": "\u2026"
      }
    }
  ],
  "summary": {
    "total_owned": 0,
    "total_watched": 0,
    "total_unwatched": 0,
    "watch_rate": 0
  },
  "pagination": {
    "page": 1,
    "limit": 20,
    "total": 150,
    "total_pages": 8
  }
}
```

```json 401
{
  "error": "Not found",
  "status": 404
}
```

```json 500
{
  "error": "Not found",
  "status": 404
}
```
